import { OnInit, OnDestroy } from '@angular/core';
import { Router } from '@angular/router';
import { PageTitleService } from '../../eo-framework-core/title/page-title.service';
import { QuickSearchComponent } from '../../eo-framework/quick-search/quick-search/quick-search.component';
import { QuickSearchResult } from '../../eo-framework';
import { UnsubscribeOnDestroy } from '../../eo-framework/util/unsubscribe/unsubscribe.component';
import { UserService, StoredQueriesService, CapabilitiesService, Capabilities, StoredQuery, InboxState, PrepareService, InboxService, EoUser, SearchService, SystemService, Config, ObjectType } from '@eo-sdk/core';
export declare class DashboardComponent extends UnsubscribeOnDestroy implements OnInit, OnDestroy {
    userService: UserService;
    private titleService;
    private router;
    private config;
    private searchService;
    private systemService;
    private inboxService;
    private prepareService;
    private capabilityService;
    private storedQueriesService;
    capabilities: Capabilities;
    storedQueries: StoredQuery[];
    selectedQuery: StoredQuery;
    quickSearchResult: QuickSearchResult;
    selectedQuickSearchResultItem: {
        index: number;
        name: any;
    };
    preparedItemsCount: number;
    inboxState: InboxState;
    user: EoUser;
    modifiedByMe: {
        size: number;
        total: number;
        lately: any[];
    };
    backgroundImage: string;
    quickSearchEl: QuickSearchComponent;
    onKey(event: any): void;
    constructor(userService: UserService, titleService: PageTitleService, router: Router, config: Config, searchService: SearchService, systemService: SystemService, inboxService: InboxService, prepareService: PrepareService, capabilityService: CapabilitiesService, storedQueriesService: StoredQueriesService);
    selectStoredQuery(q: StoredQuery): void;
    onQuickSearchInputChange(term: any): void;
    onQuickSearchResult(result: QuickSearchResult): void;
    onStoredQueryLoaded(): void;
    onStoredQueryExecute(evt: any): void;
    executeSearch(objectType?: ObjectType): void;
    trackByFn(index: any, item: any): any;
    captureObjectLists(): void;
    ngOnInit(): void;
}
