import { OnInit, OnDestroy } from '@angular/core';
import { Router } from '@angular/router';
import { ColDef, GridOptions } from 'ag-grid';
import { TranslateService } from '@eo-sdk/core';
import { UserService, SystemService, DmsParams } from '@eo-sdk/core';
import { ISetFilters } from '../../eo-framework/grid/extensions/filter/setFilters/set-filters.interface';
import { GridComponent } from '../../eo-framework/grid/grid.component';
import { PendingChangesComponent } from '../../eo-framework-core/pending-changes/pending-changes-component.interface';
import { PendingChangesService } from '../../eo-framework-core/pending-changes/pending-changes.service';
import { EmptyStateService } from '../../eo-framework-core/empty-state/empty-state.service';
import { EmptyState } from '../../eo-framework-core/empty-state/empty-state.interface';
import { SelectionService } from '../../eo-framework-core/selection/selection.service';
import { UnsubscribeOnDestroy } from '../../eo-framework/util/unsubscribe/unsubscribe.component';
import { OverlayComponent } from '../../eo-framework/ui/overlay/overlay.component';
import { CustomFilterComponent } from '../../eo-framework/grid/extensions/filter/custom/custom-filter.component';
import { FilterService } from '../../eo-framework/grid/extensions/services/filter.service';
export declare class FavoriteStateComponent extends UnsubscribeOnDestroy implements OnInit, PendingChangesComponent, OnDestroy {
    selection: SelectionService;
    translate: TranslateService;
    private filterService;
    private system;
    private empty;
    private pendingChanges;
    private router;
    private userService;
    refreshList: boolean;
    gridOptions: GridOptions;
    sortFields: ColDef[];
    typeFilterFields: any[];
    gridData: any;
    idMatch: boolean;
    emptyState: EmptyState;
    showActionsMenu: boolean;
    activeSort: boolean;
    activeFilter: boolean;
    textFilterParams: any;
    eoGrid: GridComponent;
    oFilter: OverlayComponent;
    cFilter: CustomFilterComponent;
    constructor(selection: SelectionService, translate: TranslateService, filterService: FilterService, system: SystemService, empty: EmptyStateService, pendingChanges: PendingChangesService, router: Router, userService: UserService);
    hasContent: boolean;
    onCountChanged(evt: any): void;
    hasPendingChanges(): boolean;
    refreshGrid(spinIcon?: boolean): void;
    parseDmsParams(data: any): DmsParams;
    setUpStoredFilters(filters: ISetFilters[][]): void;
    typeFilters(): void;
    resetFilters(): void;
    setUpSorting(): ColDef[];
    updateGrid(data: any): void;
    cellRenderer(params: any): string;
    remove(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
}
