import { OnDestroy, OnInit } from '@angular/core';
import { TranslateService } from '@eo-sdk/core';
import { ColDef, GridOptions } from 'ag-grid';
import { InboxItem, InboxService } from '@eo-sdk/core';
import { ActivatedRoute } from '@angular/router';
import { SelectionService } from '../../../eo-framework-core/selection/selection.service';
import { FilterService } from '../../../eo-framework/grid/extensions/services/filter.service';
import { UnsubscribeOnDestroy } from '../../../eo-framework/util/unsubscribe/unsubscribe.component';
import { GridComponent } from '../../../eo-framework/grid/grid.component';
import { PendingChangesComponent } from '../../../eo-framework-core/pending-changes/pending-changes-component.interface';
import { PendingChangesService } from '../../../eo-framework-core/pending-changes/pending-changes.service';
import { EmptyState } from '../../../eo-framework-core/empty-state/empty-state.interface';
import { EmptyStateService } from '../../../eo-framework-core/empty-state/empty-state.service';
import { ISetFilters } from '../../../eo-framework/grid/extensions/filter/setFilters/set-filters.interface';
export declare class InboxStateComponent extends UnsubscribeOnDestroy implements OnInit, OnDestroy, PendingChangesComponent {
    translate: TranslateService;
    selection: SelectionService;
    inboxService: InboxService;
    private filterService;
    private pendingChanges;
    private empty;
    private route;
    loadingInbox: boolean;
    gridOptions: GridOptions;
    sortFields: ColDef[];
    inboxFilterFields: ISetFilters[];
    typeFilterFields: ISetFilters[];
    inboxSelectionId: string;
    inboxSelection: SelectionService;
    selectedItem: any;
    selectedDmsParams: any;
    selectFirst: boolean;
    idMatch: boolean;
    gridData: any;
    textFilterParams: any;
    activeSort: boolean;
    activeFilter: boolean;
    emptyState: EmptyState;
    eoGrid: GridComponent;
    constructor(translate: TranslateService, selection: SelectionService, inboxService: InboxService, filterService: FilterService, pendingChanges: PendingChangesService, empty: EmptyStateService, route: ActivatedRoute);
    onCountChanged(evt: any): void;
    hasPendingChanges(): boolean;
    onDmsItemSelected(data: any): void;
    refreshGrid(): void;
    escalatedDate(date: any): boolean;
    setUpStoredFilters(filters: ISetFilters[][]): void;
    fieldFilters(): void;
    resetFilters(): void;
    setUpSorting(): ColDef[];
    updateGrid(data: InboxItem[]): void;
    cellRenderer(params: any): string;
    ngOnInit(): void;
    ngOnDestroy(): void;
}
