import { OnInit, OnDestroy } from '@angular/core';
import { ISetFilters } from '../../eo-framework/grid/extensions/filter/setFilters/set-filters.interface';
import { UnsubscribeOnDestroy } from '../../eo-framework/util/unsubscribe/unsubscribe.component';
import { TranslateService } from '@eo-sdk/core';
import { ColDef, GridOptions } from 'ag-grid';
import { EventService, UserService, SystemService, DmsObject, DmsParams } from '@eo-sdk/core';
import { SelectionService } from '../../eo-framework-core/selection/selection.service';
import { GridComponent } from '../../eo-framework/grid/grid.component';
import { INotificationState } from './notifications-state.interface';
import { PendingChangesComponent } from '../../eo-framework-core/pending-changes/pending-changes-component.interface';
import { PendingChangesService } from '../../eo-framework-core/pending-changes/pending-changes.service';
import { EmptyState } from '../../eo-framework-core/empty-state/empty-state.interface';
import { EmptyStateService } from '../../eo-framework-core/empty-state/empty-state.service';
import { OverlayComponent } from '../../eo-framework/ui/overlay/overlay.component';
import { CustomFilterComponent } from '../../eo-framework/grid/extensions/filter/custom/custom-filter.component';
import { FilterService } from '../../eo-framework/grid/extensions/services/filter.service';
export declare class NotificationsStateComponent extends UnsubscribeOnDestroy implements OnInit, PendingChangesComponent, OnDestroy {
    selection: SelectionService;
    translate: TranslateService;
    system: SystemService;
    private filterService;
    private pendingChanges;
    private empty;
    private eventService;
    userService: UserService;
    loadingNotifications: boolean;
    gridOptions: GridOptions;
    sortFields: ColDef[];
    typeFilterFields: any[];
    objectTypeFilterFields: any[];
    selectedItems: DmsObject[];
    gridData: any;
    idMatch: boolean;
    emptyState: EmptyState;
    activeSort: boolean;
    activeFilter: boolean;
    textFilterParams: any;
    eoGrid: GridComponent;
    oFilter: OverlayComponent;
    cFilter: CustomFilterComponent;
    constructor(selection: SelectionService, translate: TranslateService, system: SystemService, filterService: FilterService, pendingChanges: PendingChangesService, empty: EmptyStateService, eventService: EventService, userService: UserService);
    onCountChanged(evt: any): void;
    hasPendingChanges(): boolean;
    getNotificationData(): void;
    refreshGrid(): void;
    parseDmsParams(data: any): DmsParams;
    cellRenderer(params: any): string;
    remove(): void;
    resetFilters(): void;
    localizeObjectTypeLabel(messagetype: any): any;
    setUpStoredFilters(filters: ISetFilters[][]): void;
    typeFilter(data: any): void;
    objectTypeFilter(data: any): void;
    typeFilters(data: any): void;
    setUpSorting(): ColDef[];
    updateGrid(data: INotificationState | any): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
}
