import { Observable } from 'rxjs';
import { TreeNode } from '../../../eo-framework/tree/tree.component';
import { SearchResult, BackendService, SearchService, DmsObject } from '@eo-sdk/core';
import { TranslateService } from "@eo-sdk/core";
export interface ObjectSearchResult {
    name: string;
    result: SearchResult;
}
export interface FrontPageData {
    documentCount: number;
    totalFilesize: number;
    lastModifications: {
        title: string;
        description: string;
        modified: Date;
    }[];
}
export declare class ObjectStateService {
    private searchService;
    private translate;
    private backend;
    private treeData;
    private treeDataSource;
    tree$: Observable<any>;
    private _list;
    private listSource;
    list$: Observable<ObjectSearchResult>;
    constructor(searchService: SearchService, translate: TranslateService, backend: BackendService);
    selectFrontPage(context: DmsObject): Observable<FrontPageData>;
    /**
     * Select a node from the context tree. This will execute the nodes query
     * and update the result list subject.
     * @param context - contextfolder object
     * @param treeNode - the selected node
     */
    selectTreeNode(context: DmsObject, treeNode: TreeNode, filterTerm?: string, id?: any): Observable<any>;
    updateTreeByQuery(context: DmsObject, filterTerm?: string, id?: string): Observable<any>;
    loadTreeByQuery(context: DmsObject, filterTerm?: string, id?: string): Observable<any>;
    private executeTreeQuery(context, treeNode?, filterTerm?, id?);
}
