import { OnInit, OnDestroy } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { TranslateService } from '@eo-sdk/core';
import { GridOptions } from 'ag-grid/main';
import { PageTitleService } from '../../../eo-framework-core/title/page-title.service';
import { TreeNode } from '../../../eo-framework/tree/tree.component';
import { ObjectFormControlWrapper } from '../../../eo-framework/object-form/object-form/object-form-control-wrapper';
import { ObjectFormHelperService } from '../../../eo-framework/object-form/object-form-helper.service';
import { FrontPageData, ObjectStateService } from '../object-state-service/object-state.service';
import { PanelLoading } from '../../../eo-framework/ui/animations/panel-loading.animation';
import { ActionService } from '../../../eo-framework/actions/action-service/action.service';
import { EventService, DmsService, DmsObject, SearchResult } from '@eo-sdk/core';
import { LayoutService } from '../../../eo-framework-core/layout/layout.service';
import { LocationService } from '../../../eo-framework-core/location/location.service';
import { PendingChangesComponent } from '../../../eo-framework-core/pending-changes/pending-changes-component.interface';
import { PendingChangesService } from '../../../eo-framework-core/pending-changes/pending-changes.service';
import { SelectionService } from '../../../eo-framework-core/selection/selection.service';
import { GridComponent } from '../../../eo-framework/grid/grid.component';
import { UnsubscribeOnDestroy } from '../../../eo-framework/util/unsubscribe/unsubscribe.component';
export declare class ObjectStateComponent extends UnsubscribeOnDestroy implements OnInit, OnDestroy, PendingChangesComponent {
    private route;
    private titleService;
    private pageTitleService;
    private dmsService;
    private formHelperService;
    private selection;
    translate: TranslateService;
    objectState: ObjectStateService;
    private actionService;
    private location;
    private pendingChanges;
    private eventService;
    private layoutService;
    eoGrid: GridComponent;
    error: boolean;
    context: DmsObject;
    selectedItem: DmsObject;
    selectedItems: DmsObject[];
    frontPage: boolean;
    frontPageData: FrontPageData;
    contextTree: TreeNode[];
    contextTreeUpdate: TreeNode[];
    selectedNodes: TreeNode[];
    selectedNode: TreeNode;
    highlightedNodes: string[];
    private expandedNodeIds;
    termFilter: ObjectFormControlWrapper;
    termFilterValue: string;
    gridOptions: GridOptions;
    gridTitle: string;
    emptyGrid: boolean;
    searchResult: SearchResult;
    loadingState: {
        tree: PanelLoading;
        list: PanelLoading;
        details: PanelLoading;
    };
    constructor(route: ActivatedRoute, titleService: PageTitleService, pageTitleService: PageTitleService, dmsService: DmsService, formHelperService: ObjectFormHelperService, selection: SelectionService, translate: TranslateService, objectState: ObjectStateService, actionService: ActionService, location: LocationService, pendingChanges: PendingChangesService, eventService: EventService, layoutService: LayoutService);
    setPageTitle(item: any): void;
    hasPendingChanges(): boolean;
    onExpandedNodesChanged(expandedNodes: string[]): void;
    onTreeSelectionChanged(node: TreeNode): void;
    onSelectionChanged(selectedData: any): void;
    onContextMenuClicked(evt: any, doc?: any): void;
    refreshList(): void;
    private process(item, selectedId?);
    setupFrontPage(selection?: boolean): void;
    onTitleClick(): void;
    selectFrontPageDoc(doc: any): void;
    private fetchTreeData(termFilter?, selectedId?);
    private highlight(selectedId);
    private updateContextTree();
    private highlightNodes(folder?, nodes?);
    private buildContextTree(folder?);
    private addTreeNode(nodeData, path);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
