import { OnInit, OnDestroy } from '@angular/core';
import { Router } from '@angular/router';
import { TranslateService } from '@eo-sdk/core';
import { ColDef, GridOptions } from 'ag-grid';
import { ISetFilters } from '../../../eo-framework/grid/extensions/filter/setFilters/set-filters.interface';
import { PrepareService, PreparedItem, SystemService } from '@eo-sdk/core';
import { GridComponent } from '../../../eo-framework/grid/grid.component';
import { SelectionService } from '../../../eo-framework-core/selection/selection.service';
import { PendingChangesComponent } from '../../../eo-framework-core/pending-changes/pending-changes-component.interface';
import { PendingChangesService } from '../../../eo-framework-core/pending-changes/pending-changes.service';
import { EmptyState } from '../../../eo-framework-core/empty-state/empty-state.interface';
import { EmptyStateService } from '../../../eo-framework-core/empty-state/empty-state.service';
import { FilterService } from '../../../eo-framework/grid/extensions/services/filter.service';
import { UnsubscribeOnDestroy } from '../../../eo-framework/util/unsubscribe/unsubscribe.component';
import { OverlayComponent } from '../../../eo-framework/ui/overlay/overlay.component';
import { CustomFilterComponent } from '../../../eo-framework/grid/extensions/filter/custom/custom-filter.component';
export declare class PrepareStateComponent extends UnsubscribeOnDestroy implements OnInit, PendingChangesComponent, OnDestroy {
    selection: SelectionService;
    translate: TranslateService;
    private filterService;
    private prepareService;
    private empty;
    private pendingChanges;
    private router;
    private system;
    refreshList: boolean;
    gridOptions: GridOptions;
    sortFields: ColDef[];
    typeFilterFields: any[];
    gridData: any;
    idMatch: boolean;
    activeSort: boolean;
    activeFilter: boolean;
    emptyState: EmptyState;
    eoGrid: GridComponent;
    oFilter: OverlayComponent;
    cFilter: CustomFilterComponent;
    preparedItems: PreparedItem[];
    preparedItem: PreparedItem;
    constructor(selection: SelectionService, translate: TranslateService, filterService: FilterService, prepareService: PrepareService, empty: EmptyStateService, pendingChanges: PendingChangesService, router: Router, system: SystemService);
    onCountChanged(evt: any): void;
    hasPendingChanges(): boolean;
    removeItem(item: PreparedItem): void;
    updateList(changedItem: PreparedItem): void;
    refreshGrid(spinIcon?: boolean): void;
    setUpStoredFilters(filters: ISetFilters[][]): void;
    typeFilters(): void;
    resetFilters(): void;
    setUpSorting(): ColDef[];
    updateGrid(data: any): void;
    cellRenderer(params: any): string;
    remove(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
}
