import { OnDestroy, OnInit } from '@angular/core';
import { TranslateService } from '@eo-sdk/core';
import { ColDef, GridOptions } from 'ag-grid';
import { ProcessService, ProcessItem } from '@eo-sdk/core';
import { SelectionService } from '../../eo-framework-core/selection/selection.service';
import { CustomFilterComponent } from '../../eo-framework/grid/extensions/filter/custom/custom-filter.component';
import { ISetFilters, IStoredSetFilters } from '../../eo-framework/grid/extensions/filter/setFilters/set-filters.interface';
import { FilterService } from '../../eo-framework/grid/extensions/services/filter.service';
import { UnsubscribeOnDestroy } from '../../eo-framework/util/unsubscribe/unsubscribe.component';
import { GridComponent } from '../../eo-framework/grid/grid.component';
import { PendingChangesComponent } from '../../eo-framework-core/pending-changes/pending-changes-component.interface';
import { PendingChangesService } from '../../eo-framework-core/pending-changes/pending-changes.service';
import { EmptyState } from '../../eo-framework-core/empty-state/empty-state.interface';
import { EmptyStateService } from '../../eo-framework-core/empty-state/empty-state.service';
export declare class ProcessStateComponent extends UnsubscribeOnDestroy implements OnInit, OnDestroy, PendingChangesComponent {
    translate: TranslateService;
    processService: ProcessService;
    selection: SelectionService;
    private empty;
    private filterService;
    private pendingChanges;
    refreshList: boolean;
    gridOptions: GridOptions;
    sortFields: ColDef[];
    statusFilterFields: ISetFilters[];
    typeFilterFields: ISetFilters[];
    processSelectionId: string;
    processSelection: SelectionService;
    selectedItem: any;
    selectedDmsParams: any;
    selectFirst: boolean;
    state: string;
    gridData: any[];
    idMatch: boolean;
    emptyState1: EmptyState;
    emptyState2: EmptyState;
    storedSetFilter: IStoredSetFilters | boolean;
    activeSort: boolean;
    activeFilter: boolean;
    textFilterParams: any;
    eoGrid: GridComponent;
    cFilter: CustomFilterComponent;
    constructor(translate: TranslateService, processService: ProcessService, selection: SelectionService, empty: EmptyStateService, filterService: FilterService, pendingChanges: PendingChangesService);
    onCountChanged(evt: any): void;
    hasPendingChanges(): boolean;
    getProcessData(): void;
    onDmsItemSelected(data: any): void;
    getIconUrl(processes: ProcessItem[]): void[];
    refreshGrid(): void;
    setUpStoredFilters(filters: ISetFilters[][]): void;
    typeFieldFilters(): void;
    statusFieldFilters(): void;
    resetFilters(): void;
    setUpSorting(): ColDef[];
    cellRenderer(params: any): string;
    updateGrid(data: any): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
}
