import { AfterViewInit, Renderer2, OnDestroy } from '@angular/core';
import { TranslateService } from '@eo-sdk/core';
import { NgForm } from '@angular/forms';
import { DomSanitizer, SafeUrl } from '@angular/platform-browser';
import { AgentService } from '../../eo-framework-core/agent/agent.service';
import { PageTitleService } from '../../eo-framework-core/title/page-title.service';
import { UnsubscribeOnDestroy } from '../../eo-framework/util/unsubscribe/unsubscribe.component';
import { NotificationsService, Capabilities, CapabilitiesService, EoUser, UserService, Config, SystemService } from '@eo-sdk/core';
export declare class SettingsComponent extends UnsubscribeOnDestroy implements AfterViewInit, OnDestroy {
    private renderer;
    userService: UserService;
    config: Config;
    private notify;
    private systemService;
    private capabilitiesService;
    private titleService;
    private agentService;
    private sanitizer;
    translate: TranslateService;
    user: EoUser;
    capabilities: Capabilities;
    deputies: {
        data: string[];
        dataMeta: any[];
    };
    showChangePasswordForm: boolean;
    clientLocales: any;
    schemaLocales: any[];
    agentLink: any;
    agentPaired: boolean;
    agentCouldPair: boolean;
    agentAlwayslock: string;
    header: any;
    deputiesForm: NgForm;
    constructor(renderer: Renderer2, userService: UserService, config: Config, notify: NotificationsService, systemService: SystemService, capabilitiesService: CapabilitiesService, titleService: PageTitleService, agentService: AgentService, sanitizer: DomSanitizer, translate: TranslateService);
    changeLockSettings(agentAlwayslock: any): void;
    getSchemaLocales(): void;
    saveDeputies(): void;
    resetDeputies(): void;
    getUserData(): void;
    getAgentLink(): SafeUrl;
    cancel(): void;
    changeClientLocale(iso: string): void;
    changeSchemaLocale(iso: string): void;
    ngAfterViewInit(): void;
    agentRequestPairing(): void;
    setPresence(b: boolean): void;
    clearCache(): void;
}
