import { ColDef } from 'ag-grid/main';
import { TranslateService } from '@eo-sdk/core';
import { Router } from '@angular/router';
import { AppSearchService } from '../search/app-search.service';
import { SystemService, BackendService, UserService, SearchState, LocalStorageService } from '@eo-sdk/core';
export declare class GridService {
    translate: TranslateService;
    private router;
    private appSearchService;
    private system;
    private backend;
    private userService;
    private storageService;
    context: any;
    static escapeHtml(str: any): string;
    constructor(translate: TranslateService, router: Router, appSearchService: AppSearchService, system: SystemService, backend: BackendService, userService: UserService, storageService: LocalStorageService);
    openLink(uri: string, newTab?: boolean): void;
    getRouterLink(el: any, parentClass: any): any;
    openRouterLink(event: MouseEvent, parentClass: string): void;
    getContext(): any;
    getFileSizeOptions(state: SearchState): any;
    getColumnDefs(elements: any[], sortorder?: any[], grouporder?: any[], pinned?: any[], enableRowGroup?: boolean, cachedColumns?: any[], mode?: any): ColDef[];
    /**
     * Renders the visual output of form elements based on its type etc. (see IndexdataSummaryComponent for usage details)
     * @param elements - The form elements to be rendered
     * @returns The rendered HTML for the given elements
     */
    getResolvedDefs(elements: any[]): any[];
    /**
     * creates the column definition for a given result field.
     *
     * @param resultField - the result field (as retrieved from ../user/config/result/*) to create the
     * column definition object for
     *
     * @param sortFields - Array of fields to be sorted
     */
    getColumnDefinition(resultField: any, sortFields?: any[], groupFields?: any[], pinnedFields?: any[], enableRowGroup?: boolean, cachedColumns?: any[], mode?: any): ColDef;
    /**
     * add type specific column definition attributes
     *
     * @param colDef - the column definition object to be extended by type specific attributes
     * @param resultField - object defining the result field
     *
     * @returns enriched column definition object
     */
    addColDefAttrsByType(colDef: ColDef, resultField: any): ColDef;
    /**
     * add classification specific column definition attributes
     *
     * @param colDef - the column definition object to be extended
     * @param classification - the classification to evaluate
     *
     * @returns enriched column definition object
     */
    private addColDefAttrsByClassification(colDef, classification);
    private addColDefAttrsByField(colDef, resultFieldName);
    private customContext(fnc, mixin?);
    dateComparator(datePipe: any): (a: Date, b: any) => number;
    dateFilterValueGetter(field: string): (node: any) => {
        filter: any;
        value: any;
    };
    fileSizeFilterComparator(opts: any): (a: any, b: any) => number;
    fileSizeKeyCreator(param: any): any;
}
export declare class CellRenderer {
    static render(type: string, param: any, newParam?: any): any;
    static filesizeCellRenderer(param: any): any;
    static numberCellRenderer(param: any): any;
    static numberCellRendererTemplate(value: any, context: any): any;
    static typeCellRenderer(param: any): string;
    static iconCellRenderer(param: any): string;
    static emailCellRenderer(param: any): string;
    static urlCellRenderer(param: any): string;
    static dateTimeCellRenderer(param: any): string;
    static dateTimeCellRendererTemplate(value: any, context: any, pattern: any): string;
    static booleanCellRenderer(param: any): string;
    static multiSelectCellRenderer(param: any): string;
    static linkCellRenderer(param: any): string;
}
