import { TranslateService } from '@eo-sdk/core';
import { Router } from '@angular/router';
import { AgentService } from '../agent/agent.service';
import { EoUser, Logger, NotificationsService, BackendService, ClipboardService, DmsService, EventService, UserService, DmsObject } from '@eo-sdk/core';
export declare class PluginsService {
    private backend;
    private notifications;
    private clipboard;
    private logger;
    translate: TranslateService;
    private dmsService;
    private router;
    private agentService;
    private eventService;
    private userService;
    private user;
    private agentAction;
    constructor(backend: BackendService, notifications: NotificationsService, clipboard: ClipboardService, logger: Logger, translate: TranslateService, dmsService: DmsService, router: Router, agentService: AgentService, eventService: EventService, userService: UserService);
    getApi(): any;
    getAgentAvailability(): Promise<string>;
    executeAgentAction(action: any, args: any): void;
    get(uri: any, base?: string): Promise<{
        status: any;
        data: any;
    }>;
    put(uri: any, data: any, base?: string): Promise<any>;
    post(uri: any, data: any, base?: string): Promise<any>;
    getCurrentUser(): EoUser;
    encodeFileName(filename: any): string;
    getConfig(): {
        serviceBase: string;
    };
    /**
     * fetches dms objects from the server that match the given params
     *
     * @param fields - the fields to matched. example: {name: 'max', plz: '47111}
     * @param type - the target object type
     *
     * @returns which will be resolved by an array of DmsObjects matching the given params
     */
    getResult(fields: any, type: any): Promise<DmsObject[]>;
    /**
     * Loads a DMS object from the backend.
     *
     * @param id - The id of the DMS-Object to be fetched.
     * @param [type] - The object type of the selected DMS-Object. Will improve performance if set.
     * @param [version] - retrieve a specific version of the dms object
     * @param [intent] - used for server side logging. If you provide an intent, the
     *
     * @returns which will be resolved by the DMS object fetched from the server
     */
    getDmsObject(id: any, type: any, version: any, intent?: any): Promise<DmsObject>;
    private handleError(error);
}
