import { Router } from '@angular/router';
import { Observable } from 'rxjs';
import { SearchService, SystemService } from '@eo-sdk/core';
export declare class ReferenceService {
    private router;
    private searchService;
    private systemService;
    constructor(router: Router, searchService: SearchService, systemService: SystemService);
    getQueries(dmsObject: any): Observable<any>;
    getLinkQueries(dmsObject: any): Observable<any>;
    getReferenceQueries(dmsObject: any): Observable<any[]>;
    generateLinkUrl(value: any, reference: any): any;
    createLinkQuery(field: any, value: any, type: any): string;
    getLinkObjects(dmsObject: any): Observable<any>;
    mergeQueryResults(results: any, metaDatas: any): any[];
    createLinkObjectQuery(linkInfo: any): {
        filters: {};
        fields: string[];
        types: any[];
        options: {
            suggest: boolean;
            searchmode: string;
        };
    };
    getLinkInfos(dmsObject: any): Observable<any>;
    getLinkFields(elements: any): any[];
    getReferences(dmsObject: any): Observable<any>;
    executeQuery(query: any): Observable<any>;
    createReferenceQuery(dmsObject: any, referencedType: any): {
        filters: {};
        fields: string[];
        types: any[];
        options: {
            suggest: boolean;
            searchmode: string;
        };
    };
    getReferencedTypes(dmsObject: any): Observable<any>;
    isReferenceOnSuperType(typeName: any, superTypes: any): boolean;
    getSuperTypes(dmsObject: any, types: any): any[];
    getSubTypes(typeName: any, types: any): any[];
    isEmpty(obj: any): boolean;
}
