import { ComponentFactoryResolver, ViewContainerRef } from '@angular/core';
import { ActionService } from '../action-service/action.service';
import { ActionComponentAnchorDirective } from './action-component-anchor/action-component-anchor.directive';
import { Router } from '@angular/router';
import { UnsubscribeOnDestroy } from '../../util/unsubscribe/unsubscribe.component';
import { ActionListEntry } from '../interfaces/action-list-entry';
export declare class ActionMenuComponent extends UnsubscribeOnDestroy {
    private actionService;
    private router;
    viewContainerRef: ViewContainerRef;
    private componentFactoryResolver;
    eoActionComponentAnchor: ActionComponentAnchorDirective;
    externalDialog: ActionComponentAnchorDirective;
    actionLists: any;
    subActionsListHeader: string;
    subActionsList: ActionListEntry[];
    selection: any[];
    target: string;
    showComponent: boolean;
    actionDescription: string;
    showMenu: boolean;
    loading: boolean;
    constructor(actionService: ActionService, router: Router, viewContainerRef: ViewContainerRef, componentFactoryResolver: ComponentFactoryResolver);
    private getActions();
    private getMoreActions();
    hide(): void;
    showActionDescription(i: any, event: any): void;
    private showActionMenu();
    private hideActionMenu();
    onClick(actionListEntry: any): void;
    onCancel(): void;
    onFinish(): void;
    private clear();
    private showActionComponent(component);
    private showExternalForm(element, viewContRef, factoryResolver);
    isLinkAction(action: any): boolean;
}
