import { OnInit } from '@angular/core';
import { FormControl, ControlValueAccessor, Validator } from '@angular/forms';
import { AutoComplete } from 'primeng/primeng';
import { TreeNode } from '../../tree/tree.component';
import { SystemService } from '@eo-sdk/core';
export declare class CodesystemComponent implements OnInit, ControlValueAccessor, Validator {
    private systemService;
    autoCompleteInput: AutoComplete;
    autoCompleteButton: any;
    display: boolean;
    private dirty;
    private isValid;
    value: any;
    tree: TreeNode[];
    selectedNodes: any;
    autocompleteRes: any;
    autocompleteValues: TreeNode[];
    /** filter function that can be set by form script developers. When set this function will be private filterFunction: Function; */
    /** current form situation */
    situation: string;
    pickerTitle: string;
    placeholder: string;
    codesystem: any;
    multiselect: boolean;
    readonly: boolean;
    inputStyleClass: string;
    private _filterFunc;
    filterFunction: Function;
    constructor(systemService: SystemService);
    ngOnInit(): void;
    propagateChange: (_: any) => void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    /**
     * Invoked when the autocomplete input looses focus.
     * Checks if all entries are valid values. This is required as the user is able
     * to type something for getting autocomplete suggests but may not select an entry from the list.
     */
    onAutoCompleteBlur(): void;
    private getAutocompleteNativeInputElement(component);
    onAutoCompleteSelect(node?: any): void;
    onAutoCompleteUnselect(node?: any): void;
    onTreeSelectionChanged(evt: any): void;
    /**
     * Sets and propagates the form controls value based on the components inner values. Propagates only
     * when the value has changed.
     * @param forcePropagation - forces propagation even if the value hasn't been changed
     */
    private setFormControlValue(forcePropagation?);
    private buildTree();
    private addTreeNode(parentNode, codesystemEntry);
    private isHidden(codesystemEntry);
    private checkSelected(node);
    autocompleteFn(evt: any): void;
    private csEntryToTreeNode(codesystemEntry);
    showDialog(event?: any, display?: boolean): void;
    validate(c: FormControl): {
        codesystem: {
            valid: boolean;
        };
    };
}
