import { EventEmitter, OnInit } from '@angular/core';
import 'moment/min/locales';
import { TranslateService } from '@eo-sdk/core';
import { Moment } from 'moment';
export interface PickerDay {
    number: number;
    isCurrentMonth: boolean;
    isToday: boolean;
    date: any;
    disabled: boolean;
}
export declare class DatepickerComponent implements OnInit {
    monthsShort: string[];
    weekdaysShort: string[];
    maxYear: number;
    month: Moment;
    selected: Moment;
    year: number;
    time: {
        h: number;
        m: number;
    };
    weeks: any[];
    monthInfo: {
        month: any;
        year: any;
    };
    private _date;
    private initialized;
    private futureOnly;
    onDateChanged: EventEmitter<{}>;
    onCanceled: EventEmitter<{}>;
    withTime: boolean;
    onylFutureDates: boolean;
    date: any;
    onKeydownHandler(event: KeyboardEvent): void;
    onInputKeydown(event: KeyboardEvent): void;
    constructor(translate: TranslateService);
    selectValue(): void;
    cancel(): void;
    select(date: any): void;
    focusSelection(): void;
    /**
     * Set the pickers selected date
     *
     * @param Date | string date
     * @param boolean select - if set to true the given day will be set selected
     */
    setCalenderDate(date: Date | string, select?: boolean): void;
    setYear(year: number): void;
    timeToString(time: number): string;
    setTime(time: any): void;
    setMonth(index: any): void;
    isSelectedDay(day: PickerDay): any;
    private createInfo();
    private buildMonth();
    disabledDate(date: any): boolean;
    /**
     * Build a date pickers week.
     * @param firstDayOfWeek - start of the week
     * @returns
     */
    private buildWeek(firstDayOfWeek);
    trackByFn(index: any, item: any): any;
    ngOnInit(): void;
}
