import { OnInit } from '@angular/core';
import { FormControl, ControlValueAccessor, Validator } from '@angular/forms';
import { AutoComplete } from 'primeng/primeng';
import { TreeNode } from '../../tree/tree.component';
export declare class DynamicListComponent implements ControlValueAccessor, Validator, OnInit {
    autoCompleteInput: AutoComplete;
    autoCompleteButton: any;
    situation: string;
    multiselect: boolean;
    pickerTitle: string;
    readonly: boolean;
    private _filterFunc;
    filterFunction: Function;
    private _list;
    listObject: any;
    readonly list: any;
    valueField: string;
    subEntriesField: string;
    descriptionField: string;
    display: boolean;
    private dirty;
    private isValid;
    private value;
    tree: TreeNode[];
    selectedNodes: any;
    autocompleteRes: any;
    autocompleteValues: TreeNode[];
    constructor();
    propagateChange: (_: any) => void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    onAutoCompleteBlur(): void;
    onAutoCompleteSelect(node?: any): void;
    onAutoCompleteUnselect(node?: any): void;
    onTreeSelectionChanged(evt: any): void;
    /**
     * Sets and propagates the form controls value based on the components inner values. Propagates only
     * when the value has changed.
     * @param forcePropagation - forces propagation even if the value hasn't been changed
     */
    private setFormControlValue(forcePropagation?);
    private buildTree();
    private addTreeNode(parentNode, listEntry);
    private checkSelected(node);
    autocompleteFn(evt: any): void;
    private listEntryToTreeNode(listEntry);
    showDialog(event?: any, display?: boolean): void;
    ngOnInit(): void;
    validate(c: FormControl): {
        dynamiclist: {
            valid: boolean;
        };
    };
}
