import { TranslateService } from '@eo-sdk/core';
import { FormControl, ControlValueAccessor, Validator } from '@angular/forms';
export declare class NumberComponent implements ControlValueAccessor, Validator {
    private translate;
    value: any;
    innerValue: string;
    _scale: number;
    _precision: number;
    validationErrors: any[];
    scale: number;
    precision: number;
    readonly: boolean;
    separator: {
        decimal: string;
    };
    constructor(translate: TranslateService);
    propagateChange: (_: any) => void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    /**
     * Converts the users input string back to a number
     * @param str - string to be converted
     * @return converted number, null when empty or NaN in case of an error because of an input that can not be cast
     */
    private stringToNumber(str);
    /**
     * Converts the model value which is a number to a string formatted based on the users locale.
     * @param number - number to be formatted
     * @return the formatted string
     */
    private numberToString(number);
    private regEscapeSeparator(sep);
    onValueChange(evt: any): void;
    format(): void;
    validate(c: FormControl): any;
}
