import { AfterContentChecked, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { AutoComplete } from 'primeng/primeng';
import { BackendService, SystemService } from '@eo-sdk/core';
import { Subscription } from 'rxjs/Rx';
export interface OrganizationFilter {
    type?: string;
    groups?: string[];
    roles?: string[];
    activeonly?: boolean;
}
export declare class OrganizationComponent implements ControlValueAccessor, AfterContentChecked {
    private backend;
    private systemService;
    autoCompleteInput: AutoComplete;
    remoteUrl: string;
    minLength: number;
    wildCard: string;
    onValueResolved: EventEmitter<{}>;
    onDataMetaChanged: EventEmitter<{}>;
    autocompleteRes: any[];
    value: any;
    innerValue: any[];
    situation: string;
    multiselect: boolean;
    readonly: boolean;
    dataMeta: any;
    placeholder: string;
    exceptions: string[];
    filterObject: OrganizationFilter;
    constructor(backend: BackendService, systemService: SystemService);
    private buildAutocompleteUri(query);
    propagateChange: (_: any) => void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    private propagate();
    autocompleteFn(evt: any): void;
    resolveFn(value: any): Subscription;
    onUnselect(value: any): void;
    onSelect(value: any): void;
    onAutoCompleteBlur(): void;
    private clearInnerInput();
    ngAfterContentChecked(): void;
}
