import { EventEmitter, OnInit } from '@angular/core';
import { TranslateService } from '@eo-sdk/core';
import { UserService, SearchService, SearchQuery, ObjectType } from '@eo-sdk/core';
export declare class ColumnConfiguratorComponent implements OnInit {
    private searchService;
    private userService;
    translate: TranslateService;
    _visible: boolean;
    isDefaultConfig: boolean;
    hasPrivilege: boolean;
    info: string;
    configType: ObjectType | null;
    configContext: ObjectType | null;
    currentFields: any[];
    availableFields: any[];
    onConfigChanged: EventEmitter<{}>;
    query: SearchQuery;
    visible: boolean;
    constructor(searchService: SearchService, userService: UserService, translate: TranslateService);
    resetDefault(): void;
    /**
     * save the currentFields configuration
     *
     * @param boolean asDefault
     */
    saveConfig(asDefault?: boolean): void;
    /**
     * Initialize the lists columns for the currentFields config.
     *
     * @param loadDefaults - if set to true, the configs default configuration will be loaded
     * instead of the one that was configured by the user.
     */
    initConfig(loadDefaults: any): void;
    /**
     * Creates the info object that will be displayed to the user indicating what particular result list
     * is going to be configured. If none of the params is provided, we got a general fulltext result.
     *
     * @param [type] - the configurations target object type
     * @param [context] - the context object type
     */
    createConfigInfo(type: any, context: any): void;
    markItem(field: any, group: any): void;
    toggleConfigMode(refresh?: boolean): void;
    togglePrevent(item: any, $event: any): void;
    toggleSort(item: any, $event: any): void;
    togglePinned(item: any, $event: any): void;
    ngOnInit(): void;
}
