import { Router } from '@angular/router';
import { LocalStorageService } from '@eo-sdk/core';
import { ColDef } from 'ag-grid';
import { IStoredSetFilters } from '../filter/setFilters/set-filters.interface';
export declare class FilterService {
    private storageService;
    private router;
    constructor(storageService: LocalStorageService, router: Router);
    /**
     * Stores filteroptions in Localstorage under location and type.
     * Sort is the exaption there it is sort and than location.
     *
     * @param string location
     * @param string key
     * @param filter array of filter options
     */
    private storeOptions(location, key, filter);
    /**
     * Sets up the Sort options from Local Storage.
     * If no LocalStorage is present the original SortFields are returnt
     *
     * @param ColDef[] fields
     * @param string state
     * @return fields: ColDef[]; activeSort: boolean
     */
    setUpSorting(fields: ColDef[]): {
        fields: ColDef[];
        activeSort: boolean;
    };
    restoreStoredFilters(options: any): any;
    readonly location: string;
    storeFilterOptions(filter: any): void;
    storeTextFilterOptions(filter: any): void;
    getFilterText<T>(params?: T): string;
    storeSortOptions<T>(filter: Array<T>): void;
    hasStoredFilter(state?: string): IStoredSetFilters | boolean;
    removeStoredFilterOptions(state: string): void;
}
