import { EventEmitter } from '@angular/core';
import { ColDef, GridApi, GridOptions, NavigateToNextCellParams } from 'ag-grid/main';
import { TranslateService } from '@eo-sdk/core';
import 'ag-grid-enterprise/main';
import { UserService, Config } from '@eo-sdk/core';
import { GridService } from '../../eo-framework-core/api/grid.service';
import { ILoader } from './loader.interface';
import { PendingChangesService } from '../../eo-framework-core/pending-changes/pending-changes.service';
import { UnsubscribeOnDestroy } from '../util/unsubscribe/unsubscribe.component';
import { Router } from '@angular/router';
import { DatetimeFilterComponent } from './filters/datetime-filter.component';
import { OrganizationFilterComponent } from './filters/organization-filter.component';
import { CodesystemFilterComponent } from './filters/codesystem-filter.component';
export declare class GridComponent extends UnsubscribeOnDestroy {
    private translate;
    private userService;
    gridApi: GridService;
    private router;
    private pendingChanges;
    overlayLoadingTemplate: string;
    frameworkComponents: {
        agDateInput: typeof DatetimeFilterComponent;
        OrganizationFilterComponent: typeof OrganizationFilterComponent;
        CodesystemFilterComponent: typeof CodesystemFilterComponent;
    };
    private _gridOptions;
    private _removedRows;
    private pinnedColumn;
    agGrid: any;
    eoGridCountChanged: EventEmitter<any>;
    eoGridSelectionChanged: EventEmitter<any>;
    eoGridFocusChanged: EventEmitter<any>;
    eoGridCellClick: EventEmitter<any>;
    eoGridDoubleClick: EventEmitter<any>;
    eoGridContextMenuClick: EventEmitter<any>;
    eoGridColumnResized: EventEmitter<any>;
    private colResizeDebouncer;
    selectFirst: boolean;
    selectionLimit: number;
    sizeToFit: boolean;
    fullWidth: boolean;
    showHeader: boolean;
    showFooter: boolean;
    loaderContent: ILoader;
    gridOptions: GridOptions;
    constructor(translate: TranslateService, userService: UserService, gridApi: GridService, router: Router, pendingChanges: PendingChangesService, config: Config);
    loadingMessage(): void;
    private getUser();
    private calculateRowCount();
    onCellClicked($event: any): void;
    onCellDoubleClicked($event: any): void;
    onMouseDown($event: any): void;
    onCellFocused($event: any): void;
    onContextMenuClicked($event: any): void;
    onSelectionChanged($event: any): void;
    onColumnResized($event: any): void;
    onModelUpdated(): void;
    onReady(): void;
    onQuickFilterChanged($event: any): void;
    selectRow(index: number, selection?: number[], clearSelection?: boolean, position?: any): void;
    scrollToRow(index?: number, position?: any): void;
    selectRowById(id: any, position?: string): void;
    setColumnDefs(columnDefs: ColDef[]): void;
    setRowData(data?: any[], rowIndex?: number): void;
    private processSoftData(data?);
    updateRowData(data?: any[], rowIndex?: number): void;
    updateRows(data?: any[]): boolean;
    updateRemovedRows(row?: any): void;
    navigateToNextCell(params: NavigateToNextCellParams, locate?: boolean): any;
    readonly api: GridApi;
    readonly isReady: boolean;
    readonly isEmpty: boolean;
    refreshView(): void;
}
