import { Observable } from 'rxjs';
import { AfterViewInit, OnDestroy, QueryList, OnInit, EventEmitter } from '@angular/core';
import { TabPanelComponent } from '../tab-container/tab-panel/tab-panel.component';
import { TabPluginComponent } from '../plugins/plugin.component';
import { GlobalShortcutComponent } from '../shortcuts/global-shortcut-component.interface';
import { Router } from '@angular/router';
import { TranslateService } from '@eo-sdk/core';
import { PdfjsComponent } from '../pdfjs/pdfjs.component';
import { IndexData } from '../ui/indexdata-summary/indexdata-summary.component';
import { ActionService } from '../actions/action-service/action.service';
import { DmsObject, UploadRegistryService, BaseParams, SystemService, DmsParams, DmsService, BackendService, UserService, Capabilities, CapabilitiesService, EventService } from '@eo-sdk/core';
import { SelectionConfig, SelectionService } from '../../eo-framework-core/selection/selection.service';
import { UnsubscribeOnDestroy } from '../util/unsubscribe/unsubscribe.component';
import { AgentService } from '../../eo-framework-core/agent/agent.service';
import { EmptyState } from '../../eo-framework-core/empty-state/empty-state.interface';
import { EmptyStateService } from '../../eo-framework-core/empty-state/empty-state.service';
export declare class ObjectDetailsComponent extends UnsubscribeOnDestroy implements OnInit, AfterViewInit, OnDestroy {
    private router;
    private system;
    private empty;
    private agentService;
    private userService;
    private backend;
    private dmsService;
    private selection;
    private actionService;
    private capabilityService;
    private uploadRegistry;
    private eventService;
    private translate;
    preview: PdfjsComponent;
    private uploadTarget;
    item: DmsObject;
    indexDataPreview: IndexData;
    baseparams: BaseParams;
    hasError: boolean;
    lockTooltip: string;
    hasPairedAgent: boolean;
    openOriginalContentTitle: string;
    nodmsobject: boolean;
    showLoader: boolean;
    searchTerm: string;
    enableCompare: boolean;
    enableSync: boolean;
    item2: DmsObject;
    indexDataPreview2: IndexData;
    baseparams2: BaseParams;
    private _emptyState;
    emptyState: EmptyState;
    dmsParams: DmsParams;
    dmsParams2: DmsParams;
    dmsObject: DmsObject;
    dmsObject2: DmsObject;
    contentTitle: string;
    capabilities: Capabilities;
    externalPanels: QueryList<TabPanelComponent>;
    tabPanels: QueryList<TabPanelComponent>;
    tabPlugins: QueryList<TabPluginComponent>;
    shortcuts: GlobalShortcutComponent;
    applySelection: SelectionConfig;
    parseDmsParams: (data) => {};
    hasContent: EventEmitter<boolean>;
    constructor(router: Router, system: SystemService, empty: EmptyStateService, agentService: AgentService, userService: UserService, backend: BackendService, dmsService: DmsService, selection: SelectionService, actionService: ActionService, capabilityService: CapabilitiesService, uploadRegistry: UploadRegistryService, eventService: EventService, translate: TranslateService);
    private getDmsParams(data);
    private prepareIndexDataPreview(item, formData?);
    private onHasError(hasError?, nodmsobject?, showLoader?);
    loadDmsObject(params: DmsParams): Observable<any>;
    openOriginalContent(): void;
    showActions(): void;
    openObject(id: any, _type?: any): Promise<boolean>;
    onIndexDataSaved(formData: any, item: any): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
