import { EventEmitter, ElementRef } from '@angular/core';
import { TranslateService } from '@eo-sdk/core';
import { ObjectFormComponent } from '../object-form/object-form.component';
import { GlobalShortcutComponent } from '../../shortcuts/global-shortcut-component.interface';
import { ObjectFormOptions } from '../object-form-options.interface';
import { FormStatusChangedEvent } from '../form-status-changed-event.interface';
import { PendingChangesService } from '../../../eo-framework-core/pending-changes/pending-changes.service';
import { DmsObject, SystemService, DmsService, NotificationsService } from '@eo-sdk/core';
export declare class ObjectFormEditComponent {
    private systemService;
    private dmsService;
    private element;
    private notication;
    private pendingChanges;
    translate: TranslateService;
    private pendingTaskId;
    objectForm: ObjectFormComponent;
    formDisabled: boolean;
    dmsObject: DmsObject;
    indexDataSaved: EventEmitter<any>;
    formOptions: ObjectFormOptions;
    formState: FormStatusChangedEvent;
    controls: {
        visible: boolean;
        saving: boolean;
    };
    private _dmsObject;
    private messages;
    shortcuts: GlobalShortcutComponent;
    constructor(systemService: SystemService, dmsService: DmsService, element: ElementRef, notication: NotificationsService, pendingChanges: PendingChangesService, translate: TranslateService);
    private startPending();
    private finishPending();
    onFormStatusChanged(evt: any): void;
    save(): void;
    reset(): void;
    private createObjectForm(dmsObject);
    private isEditable(dmsObject);
}
