import { ControlValueAccessor, Validator, FormControl } from '@angular/forms';
import { ObjectFormOptions } from '../../object-form-options.interface';
import { GridOptions } from 'ag-grid/main';
import { GridService } from '../../../../eo-framework-core/api/grid.service';
import { SystemService } from '@eo-sdk/core';
export interface TableComponentParams {
    situation: string;
    size: string;
    element: any;
}
export interface EditRow {
    situation: string;
    index: number;
    formOptions: ObjectFormOptions;
    tableElement: any;
}
export interface EditRowResult {
    index: number;
    rowData: any;
}
export declare class FormElementTableComponent implements ControlValueAccessor, Validator {
    private systemService;
    gridApi: GridService;
    params: TableComponentParams;
    _params: TableComponentParams;
    private _elements;
    gridReady: boolean;
    value: any[];
    innerValue: any[];
    gridOptions: GridOptions;
    editingRow: EditRow;
    constructor(systemService: SystemService, gridApi: GridService);
    propagateChange: (_: any) => void;
    writeValue(value: any[]): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    /**
     * Create column definition from form element.
     * @returns column definition to be added to the gridOptions
     */
    private createColumnDefinition();
    addRow(): void;
    editRow(event: any): void;
    onEditComplete(event: any): void;
    private setEditRow(index, data);
    private updateTableValue();
    cancelRowEdit(): void;
    updateRow(rowResult: any): void;
    copyRow(rowResult: any): void;
    deleteRow(index: number): void;
    exportCSV(): void;
    sizeToFit(): void;
    private validateTableData();
    validate(c: FormControl): {
        table: {
            valid: boolean;
        };
    };
}
