import { EventEmitter, OnInit, QueryList, AfterViewInit } from '@angular/core';
import { Subscription } from 'rxjs';
import { TranslateService } from '@eo-sdk/core';
import { Router } from '@angular/router';
import { EmptyState } from '../../../eo-framework-core/empty-state/empty-state.interface';
import { TabPluginComponent } from '../../plugins/plugin.component';
import { TabPanelComponent } from '../../tab-container/tab-panel/tab-panel.component';
import { FormStatusChangedEvent } from '../../object-form/form-status-changed-event.interface';
import { ObjectFormComponent } from '../../object-form/object-form/object-form.component';
import { ObjectFormOptions } from '../../object-form/object-form-options.interface';
import { SelectionConfig, SelectionService } from '../../../eo-framework-core/selection/selection.service';
import { UnsubscribeOnDestroy } from '../../util/unsubscribe/unsubscribe.component';
import { FileEntry, WorkItem, BpmService, WorkItemHistoryEntry, UserService, DmsParams, ProcessItem, ProcessService, Clipboard, ClipboardService, SystemService } from '@eo-sdk/core';
export declare class ProcessDetailsComponent extends UnsubscribeOnDestroy implements OnInit, AfterViewInit {
    private bpmService;
    private userService;
    private systemService;
    private processService;
    private selection;
    private clipboardService;
    private translate;
    private router;
    bpmFormEl: ObjectFormComponent;
    private _item;
    workItem: WorkItem;
    history: WorkItemHistoryEntry[];
    organisation: any;
    locked: boolean;
    formState: FormStatusChangedEvent;
    formOptions: ObjectFormOptions;
    selectedContentFileId: string;
    actionProcessing: Subscription | any;
    initializing: Subscription | any;
    loadError: boolean;
    loading: boolean;
    clipboard: Clipboard;
    externalPanels: QueryList<TabPanelComponent>;
    tabPanels: QueryList<TabPanelComponent>;
    tabPlugins: QueryList<TabPluginComponent>;
    emptyState: EmptyState;
    applySelection: SelectionConfig;
    item: ProcessItem;
    onDmsItemSelected: EventEmitter<DmsParams>;
    constructor(bpmService: BpmService, userService: UserService, systemService: SystemService, processService: ProcessService, selection: SelectionService, clipboardService: ClipboardService, translate: TranslateService, router: Router);
    trackByCode(index: any, item: any): any;
    trackByIndex(index: any, item: any): any;
    onFormStatusChanged(evt: any): void;
    private process();
    getProcess(processId: any): void;
    /**
     * Selects a work items file entry an emits onDmsItemSelected event.
     * @param file FileEntry element to be selected
     */
    openProcessItemContent(file?: FileEntry): void;
    openProcessItemContentInContext(evt: any, file?: FileEntry): void;
    removeWorkItemContent(event: [FileEntry, MouseEvent]): void;
    addPastedProcessFile(event: any): void;
    /**
     * Opens the file (attached DMSObject) in object state
     * @param file
     */
    openWorkItemContentInContext(evt: any): void;
    /**
     * Selects a work items file entry an emits onDmsItemSelected event.
     * @param file FileEntry element to be selected
     */
    openWorkItemContent(file?: FileEntry): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
}
