import { EventEmitter, OnInit } from '@angular/core';
import { GridOptions } from 'ag-grid/main';
import { TranslateService } from '@eo-sdk/core';
import { GridComponent } from '../grid/grid.component';
import { GridService } from '../../eo-framework-core/api/grid.service';
import { AppSearchService } from '../../eo-framework-core/search/app-search.service';
import { UnsubscribeOnDestroy } from '../util/unsubscribe/unsubscribe.component';
import { SearchResult, Config, SearchService, EventService, BackendService, LocalStorageService } from '@eo-sdk/core';
export declare class ResultListComponent extends UnsubscribeOnDestroy implements OnInit {
    private config;
    translate: TranslateService;
    gridApi: GridService;
    private backend;
    private appSearchService;
    private searchService;
    private eventService;
    private storageService;
    grid: GridComponent;
    private VIRTUAL_LIST_CHUNK_SIZE;
    private COLUMNS_DEFINITION;
    private firstLoad;
    private _result;
    private _query;
    private _cachedColumns;
    private defaultQuery;
    visibleConfig: boolean;
    totalHits: any;
    gridCount: any;
    limitedList: boolean;
    resultGridOptions: GridOptions;
    title: string;
    clearAfterExecute: boolean;
    emptyMessage: string;
    selectFirst: boolean;
    gridOptions: GridOptions;
    hasIcon: boolean;
    onSelectionChanged: EventEmitter<{}>;
    onFocusChanged: EventEmitter<{}>;
    onDoubleClick: EventEmitter<{}>;
    onContextMenu: EventEmitter<{}>;
    onCountChanged: EventEmitter<{}>;
    onRefresh: EventEmitter<{}>;
    onResult: EventEmitter<{}>;
    onQueryInvalid: EventEmitter<{}>;
    query: any;
    searchResult: SearchResult;
    constructor(config: Config, translate: TranslateService, gridApi: GridService, backend: BackendService, appSearchService: AppSearchService, searchService: SearchService, eventService: EventService, storageService: LocalStorageService);
    invalidQuery(): void;
    ngOnInit(): void;
    refreshGrid(): void;
    onColumnResized(column: any): void;
    /**
     * Event handler for grid configuration
     * @param $event
     */
    onConfigChanged(refresh: any): void;
    /**
     * Process Search result & generate column definitions
     * @param result
     */
    private processResults(result);
    /**
     * Function for fetching the items to be displayed with a virtual row model.
     *
     * @param params - row model params (incl. startRow, endRow, sortModel and filterModel)
     */
    private fetchRowData(params);
    executeSuggestSearch(): void;
    readonly hasGridOptions: boolean;
}
