import { Shortcut } from './shortcut.interface';
/**
 * Interface for actions provided by GlobalShortcutComponents.
 */
export interface GlobalShortcutAction {
    /**
     * The name of the action show up on the global shortcuts panel.
     */
    name?: string;
    /**
     * The localized name of the action show up on the global shortcuts panel.
     */
    nameKey?: string;
    /**
     * the shortcut which will trigger the action when the panel is showing.
     */
    shortcut?: Shortcut | string;
    /**
     * Sets the function to be called when the action is executed.
     * @param: last focused target as element
     */
    onExecuteAction?: Function;
    /**
     * Function returning true or false to define whether or not the action is hidden
     * @param: last focused target as element
     */
    isHidden?: Function;
}
