import { GlobalShortcutAction } from './global-shortcut-action.interface';
/**
 * Interface to be implemented by components that support keyboard shortcuts
 * in the sense of the applications global shortcuts module.
 */
export interface GlobalShortcutComponent {
    /**
     * The components unique identifier.
     */
    id: string;
    /**
     * The components name to show up on the global shortcuts panel.
     */
    label?: string;
    /**
     * The components localized name to show up on the global shortcuts panel.
     */
    labelKey?: string;
    /**
     * Actions provided by the component for keyboard usage
     */
    actions: GlobalShortcutAction[];
    /**
     * Flag whether or not the component has focus
     */
    focused?: boolean;
}
