import { OnDestroy } from '@angular/core';
import { GlobalShortcutComponent } from './global-shortcut-component.interface';
import { ShortcutsService } from './shortcuts.service';
/**
 * Directive to add a component to the global shortcuts service. Just apply
 * `[eoShortcuts]="shortcutsCmp"` to the template of your component, where `shortcutsCmp`
 * is an object implementing the `GlobalShortcutComponent` interface. This will then add
 * the component itself and its provided actions to the global shortcuts overlay. It will
 * also take care of binding and unbinding of the components shortcuts.
 */
export declare class ShortcutsDirective implements OnDestroy {
    private shortcutsService;
    private _shortcutCmp;
    _tabIndex: number;
    shortcuts: GlobalShortcutComponent;
    focus(event: any): void;
    constructor(shortcutsService: ShortcutsService);
    ngOnDestroy(): void;
}
