import { Observable } from 'rxjs';
import { GlobalShortcutComponent } from './global-shortcut-component.interface';
import { Logger } from '@eo-sdk/core';
export declare class ShortcutsService {
    private logger;
    private _boundComponents;
    private boundComponentsSource;
    components$: Observable<any>;
    constructor(logger: Logger);
    /**
     * Add a components to the list of tracked keyboard aware components
     */
    bindComponent(cmp: GlobalShortcutComponent): void;
    unbindComponent(id: string): void;
    /**
     * Sets focus to a shortcut component
     * @param id - id of the component to receive focus
     */
    focusComponent(id: any): void;
}
