import { OnChanges, OnDestroy, ChangeDetectorRef, ElementRef, Renderer2, SimpleChanges, EventEmitter, AfterViewInit } from '@angular/core';
import { Subject } from 'rxjs';
import { UserService } from '@eo-sdk/core';
import { SplitAreaComponent } from '../split-area/split-area.component';
import { UnsubscribeOnDestroy } from '../../util/unsubscribe/unsubscribe.component';
import { Observable } from 'rxjs/Rx';
export interface IAreaData {
    component: SplitAreaComponent;
    sizeUser: number | null;
    size: number;
    orderUser: number | null;
    order: number;
    minPixel: number;
}
export interface Point {
    x: number;
    y: number;
}
export declare class SplitComponent extends UnsubscribeOnDestroy implements OnChanges, OnDestroy, AfterViewInit {
    private cdRef;
    private elementRef;
    private renderer;
    private userService;
    direction: string;
    width: number;
    height: number;
    gutterSize: number;
    gutterColor: string;
    disabled: boolean;
    visibleTransition: boolean;
    dragStart: EventEmitter<number[]>;
    dragProgress: EventEmitter<number[]>;
    dragEnd: EventEmitter<number[]>;
    visibleTransitionEndInternal: Subject<number[]>;
    visibleTransitionEnd: Observable<Array<number>>;
    readonly styleFlexDirection: boolean;
    readonly styleFlexDirectionStyle: string;
    readonly dragging: boolean;
    readonly styleWidth: string;
    readonly styleHeight: string;
    private readonly visibleAreas;
    private readonly nbGutters;
    areas: Array<IAreaData>;
    private minPercent;
    isDragging: boolean;
    private containerSize;
    private areaASize;
    private areaBSize;
    private directionIndex;
    private eventsDragFct;
    constructor(cdRef: ChangeDetectorRef, elementRef: ElementRef, renderer: Renderer2, userService: UserService);
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    addArea(component: SplitAreaComponent, orderUser: number | null, sizeUser: number | null, minPixel: number): void;
    updateArea(component: SplitAreaComponent, orderUser: number | null, sizeUser: number | null, minPixel: number): void;
    removeArea(area: SplitAreaComponent): void;
    hideArea(area: SplitAreaComponent): void;
    showArea(area: SplitAreaComponent): void;
    isLastVisibleArea(area: IAreaData): boolean;
    private refresh();
    private refreshStyleSizes();
    startDragging(startEvent: MouseEvent | TouchEvent, gutterOrder: number): void;
    private dragEvent(event, start, areaA, areaB);
    private drag(start, end, areaA, areaB);
    private stopDragging();
    notify(type: string): void;
    ngOnDestroy(): void;
}
