import { OnInit, EventEmitter } from '@angular/core';
import { Router } from '@angular/router';
import { TranslateService } from '@eo-sdk/core';
import { ObjectFormControlWrapper } from '../../object-form/object-form/object-form-control-wrapper';
import { PendingChangesService } from '../../../eo-framework-core/pending-changes/pending-changes.service';
import { ObjectFormGroup } from '../../object-form/object-form/object-form-group';
import { ObjectFormHelperService } from '../../object-form/object-form-helper.service';
import { StoredQueryComponent } from '../stored-query/stored-query.component';
import { SelectionService } from '../../../eo-framework-core/selection/selection.service';
import { UnsubscribeOnDestroy } from '../../util/unsubscribe/unsubscribe.component';
import { StoredQuery, StoredQueriesService, SystemService, UserService, OrgRole } from '@eo-sdk/core';
export interface EditForm {
    form: ObjectFormGroup;
    fulltextFormControl: ObjectFormControlWrapper;
    controls: ObjectFormControlWrapper[];
    contextControls: ObjectFormControlWrapper[];
}
export interface Restriction {
    field: string;
    label: string;
    items: string[];
}
export interface NotifyList {
    unselect: boolean;
    update: boolean;
    payload?: StoredQuery;
}
export declare class StoredQueryDetailsComponent extends UnsubscribeOnDestroy implements OnInit {
    private router;
    private userService;
    private systemService;
    private selection;
    private pendingChanges;
    private storedQueriesService;
    private formHelperService;
    private translate;
    private FORM_INPUT_TITLE;
    private FORM_INPUT_FULLTEXT;
    private datePipe;
    private pendingTaskId;
    storedQueryForm: StoredQueryComponent;
    iconTitles: any;
    storedQuery: StoredQuery;
    editForm: EditForm;
    restrictions: Restriction[];
    editingShare: boolean;
    isNewQuery: boolean;
    isOwnQuery: boolean;
    enableSharing: boolean;
    systemRoles: OrgRole[];
    rolesPicker: {
        title: any;
        codesystem: any;
        value: any;
    };
    query: StoredQuery;
    notifyList: EventEmitter<NotifyList>;
    constructor(router: Router, userService: UserService, systemService: SystemService, selection: SelectionService, pendingChanges: PendingChangesService, storedQueriesService: StoredQueriesService, formHelperService: ObjectFormHelperService, translate: TranslateService);
    setQuery(q: StoredQuery): void;
    private startPending();
    private finishPending();
    edit(): void;
    onFormStatusChanged(formState: any): void;
    toggleShareEdit(): void;
    share(): void;
    cancelShare(): void;
    delete(): void;
    toggleFavoriteState(): void;
    cancelEdit(): void;
    setQueryToAppSearch(): void;
    executeQuery(): void;
    updateStoredQuery(): void;
    /**
     * Toggle form elements to be a dynamic parameter or not
     * @param event
     */
    parameterChanged(event: {
        control: string;
        value: boolean;
    }): void;
    private getFormData();
    /**
     * Create a dynamic stored query parameter for a form element
     * @param qname The form elements qname
     * @returns
     */
    private formFieldToParameter(qname);
    private resetEditForm();
    onFormChanges(): void;
    private createEditForm();
    private fetchRoles();
    private getRestrictions();
    private getBaseparamFilters();
    private createDateRestriction(filterValue);
    private createFormattedDate(date);
    /**
     * Creates a form control from a given form element
     * @param formElement
     * @returns
     */
    private toFormControl(formElement);
    onStoredQueryLoaded(): void;
    onStoredQueryExecute(evt: any): void;
    setIconTitles(): void;
    ngOnInit(): void;
    trackByFn(index: any, item: any): any;
    trackByIndex(index: any, item: any): any;
}
