import { OnInit, OnDestroy } from '@angular/core';
import { SelectionService } from '../../../eo-framework-core/selection/selection.service';
import { UnsubscribeOnDestroy } from '../../../eo-framework/util/unsubscribe/unsubscribe.component';
import { ColDef, GridOptions, GridCell } from 'ag-grid';
import { GridComponent } from '../../../eo-framework/grid/grid.component';
import { TranslateService } from '@eo-sdk/core';
import { PendingChangesService } from '../../../eo-framework-core/pending-changes/pending-changes.service';
import { PendingChangesComponent } from '../../../eo-framework-core/pending-changes/pending-changes-component.interface';
import { StoredQueriesService, UserService, EoUser, StoredQuery } from '@eo-sdk/core';
import { ISetFilters } from '../../grid/extensions/filter/setFilters/set-filters.interface';
import { FilterService } from '../../grid/extensions/services/filter.service';
export declare class StoredQueryListComponent extends UnsubscribeOnDestroy implements OnInit, PendingChangesComponent, OnDestroy {
    selection: SelectionService;
    translate: TranslateService;
    private filterService;
    private pendingChanges;
    private storedQueriesService;
    private userService;
    refreshList: boolean;
    gridOptions: GridOptions;
    sortFields: ColDef[];
    typeFilterFields: any[];
    gridData: StoredQuery[];
    idMatch: boolean;
    activeSort: boolean;
    activeFilter: boolean;
    textFilterParams: any;
    eoGrid: GridComponent;
    user: EoUser;
    selectedQuery: StoredQuery;
    storeSelectedQuery: GridCell;
    selectFirst: boolean;
    constructor(selection: SelectionService, translate: TranslateService, filterService: FilterService, pendingChanges: PendingChangesService, storedQueriesService: StoredQueriesService, userService: UserService);
    onCountChanged(evt: any): void;
    select(query: StoredQuery): void;
    hasPendingChanges(): boolean;
    getStoredQuerys(): void;
    ngOnInit(): void;
    refreshGrid(): void;
    getFocusedCell(): GridCell;
    getSelectedRowIndex(): number;
    reselectLastQuery(): void;
    selectNewQuery(payload: any): void;
    notifyList(val: any): void;
    setUpStoredFilters(filters: ISetFilters[][]): void;
    sharedFilter(node: any): any;
    typeFilter(node: any, item: string): any;
    typeFilters(): void;
    resetFilters(): void;
    setUpSorting(): ColDef[];
    updateGrid(data: any): void;
    cellRenderer(params: any): string;
    remove(): void;
    ngOnDestroy(): void;
}
