import { AfterContentInit, QueryList } from '@angular/core';
import { TranslateService } from '@eo-sdk/core';
import { AppCacheService, NotificationsService } from '@eo-sdk/core';
import { TabPanelComponent } from './tab-panel/tab-panel.component';
import { TabViewComponent } from './tab-view/tab-view.component';
export declare class TabContainerComponent implements AfterContentInit {
    private cache;
    private translate;
    private notification;
    flow: string;
    dynamic: boolean;
    masterSize: string;
    masterSizeMin: string;
    darkTheme: boolean;
    dndEnabled: boolean;
    splitEnabled: boolean;
    panelOrder: {
        master: any[];
        slave: any[];
    };
    private _cacheOrder;
    cacheOrderDirty: boolean;
    visibility: {
        master: boolean;
        slave: boolean;
    };
    version: {
        master: string;
        slave: string;
    };
    pluginPanels: QueryList<TabPanelComponent>;
    tabPanels: QueryList<TabPanelComponent>;
    mainTabView: TabViewComponent;
    slaveTabView: TabViewComponent;
    enableSlave: any;
    enableSync: any;
    cacheOrder: any;
    constructor(cache: AppCacheService, translate: TranslateService, notification: NotificationsService);
    onChange(evt: any, type: any): void;
    onSplitPaneDrop(evt: any, type: any): void;
    onDropSuccessCallback(e: any): void;
    private ensureActiveTab();
    saveCacheOrder(tab?: any): void;
    ngAfterContentInit(): void;
    toggleSplitPane(): void;
    processOrder(data: any): void;
}
