import { OnInit } from '@angular/core';
import { TranslateService } from '@eo-sdk/core';
import { NgProgress } from '@ngx-progressbar/core';
import { EoLocation, LocationService } from '../../../eo-framework-core/location/location.service';
import { Clipboard, ClipboardService, DmsObject, PrepareService, DmsService, NotificationsService, EventService } from '@eo-sdk/core';
export declare class ClipboardComponent implements OnInit {
    private translate;
    private locationService;
    private prepareService;
    private dmsService;
    private notificationService;
    private eventService;
    private ngProgress;
    private clipboardService;
    overlayShow: boolean;
    clipboard: Clipboard;
    clipboardItems: DmsObject[];
    type: string;
    iconSrc: string;
    iconTitle: string;
    activeLocation: EoLocation;
    isPasteAllowed: boolean;
    isPasteAsContentlinkAllowed: boolean;
    constructor(translate: TranslateService, locationService: LocationService, prepareService: PrepareService, dmsService: DmsService, notificationService: NotificationsService, eventService: EventService, ngProgress: NgProgress, clipboardService: ClipboardService);
    getClipboardContent(): void;
    getActiveLocation(): void;
    /**
     * Removes all items from the clipboard
     */
    removeAll(): void;
    /**
     * Removes a single item from the clipboard
     * @param clipboardItem The item to be removed
     */
    removeItem(clipboardItem: DmsObject): void;
    hide(): void;
    paste(): void;
    pasteAsContentlink(): void;
    triggerUpdate(elements: any): void;
    move(activeLocation: any, elementsToMove: any[]): void;
    copy(activeLocation: any, elementsToMove: any[], createContentLink: any): void;
    allTypesAllowed(locationTypes: any, elementsToMove: any): boolean;
    isContentlink(item: any): boolean;
    contentAvailableForAllItems(items: DmsObject[]): boolean;
    checkAllowedActions(): void;
    ngOnInit(): void;
}
