import { ElementRef, EventEmitter } from '@angular/core';
import { EventService } from '@eo-sdk/core';
import { UnsubscribeOnDestroy } from '../../util/unsubscribe/unsubscribe.component';
/**
 * This directive adds an outside click listener to each element it is applied to.
 * The directive will also execute the provided handler function, when the user hits ESC.
 *   <... (eoOutSideClick)="doSomethingOnOutsideClick($event)"></...>
 */
export declare class OutsideClickDirective extends UnsubscribeOnDestroy {
    private _elementRef;
    private eventService;
    active: boolean;
    eoOutsideClick: EventEmitter<any>;
    constructor(_elementRef: ElementRef, eventService: EventService);
    keyboardInput(event: KeyboardEvent, targetElement: HTMLElement): void;
    onClick(event: MouseEvent, targetElement: HTMLElement): void;
    private onOutsideEvent(event);
}
