import { AfterViewInit, ElementRef, Renderer2 } from '@angular/core';
import { UserService } from '@eo-sdk/core';
/**
 * Apply this directive to elements or components that should be aware of the apps direction.
 * This can be either 'ltr' or 'rtl'. Using this directive will add a class of 'ltr' or 'rtl'
 * to the host element, which then can be used to apply special stylings for each direction.
 */
export declare class RtlAwareDirective implements AfterViewInit {
    private _elementRef;
    private _renderer;
    private userService;
    eoRtlAware: string;
    constructor(_elementRef: ElementRef, _renderer: Renderer2, userService: UserService);
    private setDir(dir);
    private setClass(dir);
    ngAfterViewInit(): void;
}
