import { Observable } from 'rxjs';
import { OnDestroy } from '@angular/core';
import { PlatformLocation } from '@angular/common';
import { UndockState } from './undock-state.interface';
import { Router } from '@angular/router';
import { AreaState, LayoutService } from '../../eo-framework-core/layout/layout.service';
import { IAreaData } from '../split/split/split.component';
import { UnsubscribeOnDestroy } from '../util/unsubscribe/unsubscribe.component';
export declare class UndockSplitService extends UnsubscribeOnDestroy implements OnDestroy {
    private location;
    private router;
    private layoutService;
    private undockedWindowName;
    private undockedWindowStorageKey;
    private undockedPanelData;
    private undockedPanelDataSource;
    undockedPanelData$: Observable<any>;
    private undockState;
    private undockStateSource;
    undockState$: Observable<UndockState>;
    private undockedWindow;
    constructor(location: PlatformLocation, router: Router, layoutService: LayoutService);
    private initUndockFeature();
    undock(): void;
    onUndockChanged(areaState: AreaState): void;
    getUndockArea(areas: IAreaData[]): AreaState;
    setupAreaVisibility(areas: IAreaData[]): void;
    onCloseWindow(): void;
    /**
     * Update the data that should be provided to an undocked panel
     * @param data - the data
     */
    updateUndockedPanelData(data: any): void;
    getUndockDataFromStorage(): any;
    private writeUndockDataToStorage();
    ngOnDestroy(): void;
}
