import { InjectionToken } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { EnaioConfig } from './service/config/config.interface';
import { Config } from './service/config/config.service';
import { AuthService } from './service/auth/auth.service';
import { Logger } from './service/logger/logger';
import { CoreConfig } from './config/core-config.interface';
/**
 * @ignore
 */
export declare const MAIN_CONFIG: InjectionToken<string | EnaioConfig>;
/**
 * Main initialization service of the eoFrameworkCore module. The `load()` function will contain
 * all steps that needs to be executed before the application starts. Therefore it will be used
 * as `APP_INITIALIZER` from the providers section of the app module.
 *
 * Later on this service can be used by other components or services to fetch the result of the
 * initialization process (e.g. infos on the current user).
 */
export declare class CoreInit {
    private mainConfig;
    private logger;
    private http;
    private configService;
    private authService;
    /**
     * @ignore
     */
    constructor(mainConfig: CoreConfig, logger: Logger, http: HttpClient, configService: Config, authService: AuthService);
    /**
     * Initializes core module. Executed in context of `APP_INITIALIZER`.
     * @returns Promise that resolves after enaio core has been initialized
     */
    initialize(): Promise<boolean>;
}
