/**
 * Base platform independent logging for the app.
 *
 * [3129-implementing-a-log-inspired-logging-service-in-angular-2-rc-4]{@link https://www.bennadel.com/blog/3129-implementing-a-log-inspired-logging-service-in-angular-2-rc-4.htm}
 */
/**
 * Define the interface that all loggers must implement.
 * @ignore
 */
export interface ILogger {
    assert(...args: any[]): void;
    debug(...args: any[]): void;
    error(...args: any[]): void;
    group(...args: any[]): void;
    groupEnd(...args: any[]): void;
    info(...args: any[]): void;
    log(...args: any[]): void;
    warn(...args: any[]): void;
}
