/**
 * Representation of a dms objects base params
 */
export interface BaseParams {
    /**
     * ID
     */
    id: string;
    /**
     * Object type name
     */
    type: string;
    /**
     * Filename of the objects content
     */
    contentFileName: string;
    /**
     * Filesize of the objects content
     */
    contentFileSize: number;
    /**
     * Modification date
     */
    modifiedOn: Date;
    /**
     * Last modifiers name
     */
    modifiedBy: string;
    /**
     * Create date
     */
    createdOn: Date;
    /**
     * Creators name
     */
    createdBy: string;
    /**
     * objects version
     */
    version: number;
    /**
     * objects mime type group
     */
    mimeGroup?: string;
    /**
     * @ignore
     */
    digest?: string;
}
