/**
 * Organization User
 */
export interface OrgUser {
    /**
     * ID
     */
    id: string;
    /**
     * Users internal name
     */
    name: string;
    /**
     * @ignore
     */
    type: string;
    /**
     * Users title. This title is generated from the users properties based on a pattern, defined on the backend side
     */
    title: string;
    /**
     * Users firstname
     */
    firstname: string;
    /**
     * Users lastname
     */
    lastname: string;
    /**
     * Flag indicating whether or not there is a custom user image available (avatar)
     */
    hasimage: boolean;
    /**
     * The users email address
     */
    email: string;
    /**
     * Flag indicating whether or not the group is present.
     */
    present: boolean;
    /**
     * Flag indicating whether or not the group is active
     */
    active: boolean;
}
/**
 * Organization Role. Role a user can be applied to.
 */
export interface OrgRole {
    /**
     * ID
     */
    id: string;
    /**
     * Roles internal name
     */
    name: string;
    /**
     * Roles title
     */
    title: string;
}
/**
 * Organization Group. Group a user can be applied to.
 */
export interface OrgGroup {
    /**
     * ID
     */
    id: string;
    /**
     * Groups internal name
     */
    name: string;
    /**
     * Groups title
     */
    title: string;
    /**
     * @ignore
     * Flag indicating whether or not the group is present
     */
    present: boolean;
    /**
     * @ignore
     * Flag indicating whether or not the group is active
     */
    active: boolean;
    /**
     * @ignore
     */
    hasimage: boolean;
}
