/**
 * Representation of a process (workflow)
 */
export declare class ProcessItem {
    /**
     * processes unique identifier
     */
    processid: string;
    /**
     * The name of the process
     */
    procname: string;
    /**
     * ID of the user that created this process
     */
    creatorid: string;
    /**
     * ID of a process icon
     */
    iconid?: string;
    /**
     * URL of a process icon
     */
    iconurl?: string;
    /**
     * The localized title of the process
     */
    localizedsubject: string;
    /**
     * The ID of the underlying process model.
     * The process model is the definition of a process, so a process is basically an instance of a model.
     */
    modelid: string;
    /**
     * The name of the process model.
     */
    modelname: string;
    /**
     * Date (time) the process was started
     */
    starttime: number;
    /**
     * Date (time) the process ended
     */
    endtime: number;
    /**
     * Processes state
     */
    state: number;
    /**
     * Title of the process genarated from the localized subject
     */
    readonly title: string;
    /**
     * Process ID
     */
    readonly id: string;
    /**
     * Creates a new instance
     * @param json The JSON object received from the backend. This will be used to construct the new process item history instance
     */
    constructor(json: any);
}
