/**
 * Value class to be used with form elements that support ranges
 */
export declare class RangeValue {
    operator: string;
    firstValue: string;
    secondValue: string;
    /**
     * Creates new instance
     * @param operator The operator (see @link SearchFilter.OPERATOR)
     * @param firstValue The rages first/start value
     * @param secondValue The ranges last/end value
     */
    constructor(operator: string, firstValue: string, secondValue?: string);
    /**
     * Get the label for a given operator
     * @param operator The operator to retrieve the label for
     * @returns The corresponding label
     */
    static getOperatorLabel(operator: string): string;
}
