export interface Capabilities {
    /**
     * Whether or not the backend supports the inbox capability.
     * (virtual: true if either bpm, followup or subscription is set)
     */
    inbox: boolean;
    /**
     * Whether or not the backend supports the notifications capability.
     * (virtual: true if either followup or subscription is set)
     */
    notifications: boolean;
    /**
     * Whether or not the backend supports the BPM capability.
     * (everything related to workflows)
     */
    bpm: boolean;
    /**
     * Whether or not the backend supports the favorite capability.
     */
    favorites: boolean;
    /**
     * Whether or not the backend supports the  handling of follow ups.
     */
    followup: boolean;
    /**
     * Whether or not the backend supports the handling of subscriptions.
     */
    subscription: boolean;
    /**
     * Whether or not the backend supports the intray capability.
     */
    intray: boolean;
    /**
     * Whether or not the backend supports Stored Queries.
     */
    storedqueries: boolean;
    /**
     * @ignore
     */
    sso: boolean;
}
