import { Capabilities } from './capabilities.model';
/**
 * Handles the systems capabilities. Capabilities are settings that enable/disable certain client features.
 */
export declare class CapabilitiesService {
    private capabilities;
    /**
     * @ignore
     */
    constructor();
    /**
     * Sets the capabilities based on a given object set by auth.service
     *
     * @param userCapabilities Object containing capabilities properties
     * @param useSingleSingOn Whether or not to set up single signon on capability
     * @returns The newly created capabilities object
     */
    setCapabilities(userCapabilities: any, useSingleSingOn?: boolean): Capabilities;
    /**
     * Getter for the Capabilities
     */
    getCapabilities(): Capabilities;
    /**
     * Check if Capability is present
     * @param capability Capability to check for
     * @returns True if the capability is set, false otherwise
     */
    hasCapability(capability: string): boolean;
}
