import { TranslateService } from '@ngx-translate/core';
import { EnaioConfig } from './config.interface';
/**
 * Collection of all Configurations
 */
export declare class Config {
    private translate;
    private cfg;
    /**
     * @ignore
     */
    constructor(translate: TranslateService);
    /**
     * @ignore
     * Set during app init (see CoreInit)
     */
    set(cfg: EnaioConfig): void;
    /**
     * Returns nested property of config | complete config by default
     * @param property The name of the property to be retrieved
     */
    getRaw(property: string): any;
    /**
     * Getter for the URI
     * @param property The name of the property/uri to be retrieved
     * @returns value of the property from the URI-Section of the config
     */
    getUri(property: string): string;
    /**
     * Getter for the available client locales
     * @returns available client locales
     */
    getClientLocales(): any[];
    /**
     * Get the dashboards background image
     * @returns background image uri for the dashboards background image
     */
    getDashboardBackgroundImage(): string;
    /**
     * Get the sidebars header background image
     * @returns background image uri for the sidebars header background image
     */
    getSideBarHeaderImage(): string;
    /**
     * Get the default client locale
     * @returns ISO string of the locale
     */
    getDefaultClientLocale(): any;
    /**
     * Getter for the Agent Configuration
     */
    getAgentConfig(): any;
}
