import { Observable } from 'rxjs';
import { Event } from '../../interface/event.interface';
/**
 * Triggerable and Subscribable events
 */
export declare class EventService {
    private eventSource;
    /**
     * Eventstream to subscribe to
     */
    event$: Observable<any>;
    /**
     * @ignore
     */
    constructor();
    /**
     * Trigger an global event
     * @param type Type/key of the event
     * @param data Data to be send along with the event
     */
    trigger(type: string, data?: any): void;
    /**
     * Listen on a triggered event
     * @param type Type/key of the event
     */
    on(type: string): Observable<Event>;
}
