import { ToastrService } from 'ngx-toastr';
/**
 * Wrapper for Toastr Service
 */
export declare class NotificationsService {
    private toastrService;
    /**
     * Default Notofication Options
     *
     */
    private options;
    constructor(toastrService: ToastrService);
    /**
     * Show info colored massage (blue)
     *
     * @param string title
     * @param string msg
     */
    info(title: string, msg?: string): void;
    /**
     * Show confirm colored massage (blue)
     *
     * @param string title
     * @param string msg
     * @param onAdd
     * @param onRemove
     */
    confirm(title: string, msg?: string, onAdd?: any, onRemove?: any): void;
    /**
     * Show success colored massage (green)
     * @param string title
     * @param string msg
     */
    success(title: string, msg?: string): void;
    /**
     * can not be in use
     *
     * @param string title
     * @param string msg
     */
    wait(title: string, msg?: string): void;
    /**
     * Show error colored massage (red)
     *
     * @param string title
     * @param string msg
     */
    error(title: string, msg?: string): void;
    /**
     * Show warning colored massage (yellow)
     *
     * @param string title
     * @param string msg
     */
    warning(title: string, msg?: string): void;
    /**
     * Public wrapper for accessing the Toastr
     *
     * @param string title
     * @param string msg
     * @param string mode
     * @param _options
     */
    private toast(title, msg, mode?, _options?);
    /**
     * Accessing the toastr service
     *
     * @param string msg
     * @param string title
     * @param options
     * @param string mode
     */
    private doToast(msg, title, options, mode?);
}
